Subject: bug#4239: 23.1.50; Pause during Emacs startup with recentf-mode

From: Stephen Berman <[email-masked]>
Date: Mon, 24 Aug 2009 13:02:44 +0200

On Mon, 24 Aug 2009 12:22:31 +0200 Michael Albinus <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>>> Could you, please, start Emacs from gdb? When it is stalled, interrupt
>>> it, and show the backtrace.
>>
>> Here it is; I hope it helps shed some light on the problem.
>
> It does, indeed:
>
>> Lisp Backtrace:
>> "dbus-call-method" (0xbfffc504)
>> "byte-code" (0xbfffc5b0)
>> "dbus-ping" (0xbfffc844)
>
> So for whatever reasons, one of the three dbus-ping calls in
> tramp-gvfs.el hangs (for the default 25 sec timeout of D-Bus calls).
>
> Could you, please, check the following patch? It restricts every
> dbus-ping to 0.1 sec. It will still leave a short delay for you, but
> this might be tolerable.

To test whether the patch fixes the problem I presumably have to wait
till I reboot the machine, which may not be till tomorrow.  Does it
suffice to simply apply the patch and restart Emacs, or do I need to
redump or rebuild Emacs?

Thanks for the quick response.

Steve Berman

PS: If the patch works, before you commit it you should, in the doc
string of dbus-ping, change "25.000" to "25,000": `.' and `,' have the
opposite roles in German and English numerals.